#!/bin/bash
# __author__ = Felix Kleinert
# __date__  = '2020-04-06'

# This script creates a virtual env which contains all modules which are not available via slrum/easybuild (see mlt_modules.sh)

# $1 has to be an abs path to HPC_setup. If not provided, $PWD is used

# enter setting dir if called externally
if [[ $1 != '' ]]; then
  cur=$1
else
  cur=$PWD
fi

# load existing modules
source ${cur}mlt_modules_juwels.sh

# create venv 
python3 -m venv ${cur}/../venv_juwels

source ${cur}/../venv_juwels/bin/activate

# export path for side-packages 
export PYTHONPATH=${cur}/../venv_juwels/lib/python3.6/site-packages:${PYTHONPATH}

pip install -r ${cur}requirements_JUWELS_outcommented.txt
pip install --ignore-installed matplotlib==3.2.0
pip install --ignore-installed pandas==1.0.1


# Comment: Maybe we have to export PYTHONPATH a second time ater activating the venv (after job allocation)
# source venv/bin/activate
# alloc_develgpu
# source venv/bin/activate
# export PYTHONPATH=${PWD}/venv/lib/python3.6/site-packages:${PYTHONPATH}
# srun python run.py

# create batch run scripts
# source create_runscripts_HPC.sh

